import client.aiwenClient
import awEnum.CoordSys as coordSys
import awEnum.MultiFlag as multiFlag
import awEnum.StreetSubType as streetSubType
from awModel.aiwenKey import AiwenKey
from awModel.aiwenModels import *

coordSys_enum = coordSys.CoordSys
multiFlag_enum = multiFlag.MultiFlag
streetSubType_enum = streetSubType.StreetSubType

client = client.aiwenClient.Client(
    '')


def print_info_base(info):
    print(f"状态码: {info.code}")
    print(f"状态码描述: {info.msg}")
    print(f"本次查询是否扣费: {info.charge}")
    print(f"查询的IP: {info.ip}")
    print(f"坐标系: {info.coordsys}")
    

def print_data_multiAreas(info):
    print(f"区域类型: {info.area}")
    print("")
    for area_item in info.data.multiAreas:
        print(f"省份: {area_item.prov}")
        print(f"区县: {area_item.district}")
        print(f"城市: {area_item.city}")
        print(f"精度: {area_item.lng}")
        print(f"纬度: {area_item.lat}")
        print(f"半径: {area_item.radius}")
        print(" ")


def print_data_singleAreas(info):
    print(f"省份: {info.data.prov if info.data.prov is not None else info.data.province}")
    print(f"城市: {info.data.city}")
    # print(f"区县: {info.data.district}")
    print(f"精度: {info.data.lng}")
    print(f"纬度: {info.data.lat}")
    print(f"半径: {info.data.radius}")
    print(" ")



def print_data_base(info):
    print(f"大洲: {info.data.continent}")
    print(f"国家: {info.data.country}")
    print(f"所属机构: {info.data.owner}")
    print(f"运营商: {info.data.isp}")
    print(f"邮编: {info.data.zipcode}")
    print(f"时区: {info.data.timezone}")
    print(f"经度: {info.data.accuracy}")
    # print(f"经度: {info.data.source}")
    print(f"国家编码: {info.data.areacode}")
    print(f"行政编码: {info.data.adcode}")
    print(f"自治域编码: {info.data.asnumber}")
    # print(f"货币代码: {info.data.currency_code}")
    # print(f"货币名称: {info.data.currency_name}")


def street():

    info = client.street("1.192.8.253",
                          streetSubType_enum.BIZ, multiFlag_enum.SINGLE, coordSys_enum.BD09)

    print_info_base(info)
    print_data_multiAreas(info)
    print_data_base(info)


def street6():

    info = client.street6("2001:0250:0803:ffff:ffff:ffff:ffff:ffff",
                          streetSubType_enum.BIZ, multiFlag_enum.SINGLE, coordSys_enum.BD09)

    print_info_base(info)
    print_data_multiAreas(info)
    print_data_base(info)


def city():
    info = client.city('1.192.8.253', coordSys_enum.BD09)
    print_info_base(info)
    print_data_singleAreas(info)
    print_data_base(info)

def district():
    info = client.district('1.192.8.253', coordSys_enum.BD09)
    print_info_base(info)
    print_data_singleAreas(info)
    print_data_base(info)

def district6():
    info = client.district6('2001:0250:0803:ffff:ffff:ffff:ffff:ffff', coordSys_enum.BD09)
    print_info_base(info)
    print_data_singleAreas(info)
    print_data_base(info)

def city6():
    info = client.city6('2001:0250:0803:ffff:ffff:ffff:ffff:ffff', coordSys_enum.BD09)
    print_info_base(info)
    print_data_singleAreas(info)
    print_data_base(info)


if __name__ == '__main__':
    street()
    street6()
    city()
    district()
    district6()
    city6()
    
